apt-config(8)

NAME
apt-config - APT Configuration Query program

SYNOPSIS
apt-config command

DESCRIPTION
apt-config is an internal program used by various portions of the APT suite to provide consistent configurability. It accesses the main configuarion file /etc/apt/apt.conf in a manner that is easy to use by scripted applications.

command is one of:

o   shell

o   dump

Unless the -h, or --help option is given one of the above commands must be present.

shell
    shell is used to access the configuration information from a shell script. It is given pairs of arguments, the first being a shell variable and the second the configuration value to query. As output it lists a series of shell assignments commands for each present value. In a shell script it should be used like:

    OPTS="-f"
    RES=`apt-config shell OPTS MyApp::Options`
    eval $RES

    This will set the shell environment variable $OPTS to the value of MyApp::Options with a default of -f.

    If the configuration item to retrieve is prefixed with a / then it will be retrieved using filename mode which prepends base paths.

dump
    Just show the contents of the configuration space.

OPTIONS
All command line options may be set using the configuration file, the descriptions indicate the configuration option to set. For boolean options you can override the config file by using something like -f-, --no-f, -f=no or several other variations.

-h, --help
    Show a short usage summary.

-v, --version
    Show the program verison.

-c, --config-file
    Configuration File; Specify a configuration file to use. apt-get will read the default configuration file and then this configuration file. See apt.conf(5) for syntax information.

-o, --option
    Set a Configuration Option; This will set an arbitary configuration option. The syntax is

    -o Foo::Bar=bar

SEE ALSO
apt.conf(5)

DIAGNOSTICS
apt-config returns zero on normal operation, decimal 100 on error.

BUGS
See http://bugs.debian.org/apt. If you wish to report a bug in apt-config, please see /usr/doc/debian/bug-reporting.txt or the bug(1) command.

AUTHOR
apt-get was written by the APT team <apt@packages.debian.org>.